# unique-words [![NPM version](https://img.shields.io/npm/v/unique-words.svg?style=flat)](https://www.npmjs.com/package/unique-words) [![NPM monthly downloads](https://img.shields.io/npm/dm/unique-words.svg?style=flat)](https://npmjs.org/package/unique-words) [![NPM total downloads](https://img.shields.io/npm/dt/unique-words.svg?style=flat)](https://npmjs.org/package/unique-words) [![Linux Build Status](https://img.shields.io/travis/jonschlinkert/unique-words.svg?style=flat&label=Travis)](https://travis-ci.org/jonschlinkert/unique-words)

> Returns an array of unique words, or the number of occurrences of each word in a string or list.

Please consider following this project's author, [Jon Schlinkert](https://github.com/jonschlinkert), and consider starring the project to show your :heart: and support.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save unique-words
```

## Usage

```js
const unique = require('unique-words');

console.log(unique('one two one two three'));
// => ['one', 'two', 'three']

console.log(unique(['foo', 'foo', 'foo bar', 'bar', 'bar baz foo']));
// => ['foo', 'bar', 'baz']
```

## .counts

A `.counts()` method is exposed for getting the number of occurrences of each word.

```js
console.log(unique.counts('one two one two three'));
//=> { one: 2, three: 1, two: 2 }
```

## Case sensitivity

Note that words are case-sensitive. To get non-case-sensitive results, make all strings lower- or upper-case before passing them in.

## About

<details>
<summary><strong>Contributing</strong></summary>

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

</details>

<details>
<summary><strong>Running Tests</strong></summary>

Running and reviewing unit tests is a great way to get familiarized with a library and its API. You can install dependencies and run tests with the following command:

```sh
$ npm install && npm test
```

</details>

<details>
<summary><strong>Building docs</strong></summary>

_(This project's readme.md is generated by [verb](https://github.com/verbose/verb-generate-readme), please don't edit the readme directly. Any changes to the readme must be made in the [.verb.md](.verb.md) readme template.)_

To generate the readme, run the following command:

```sh
$ npm install -g verbose/verb#dev verb-generate-readme && verb
```

</details>

### Author

**Jon Schlinkert**

* [LinkedIn Profile](https://linkedin.com/in/jonschlinkert)
* [GitHub Profile](https://github.com/jonschlinkert)
* [Twitter Profile](https://twitter.com/jonschlinkert)

### License

Copyright © 2018, [Jon Schlinkert](http://github.com/jonschlinkert).
Released under the [MIT License](LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.6.0, on July 17, 2018._